GET
/
dns
/
query
DNS 查询
curl --request GET \
  --url http://{host}:{port}/dns/query \
  --header 'Authorization: Bearer <token>'
import requests

url = "http://{host}:{port}/dns/query"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{host}:{port}/dns/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Status": 0,
  "Question": [
    {
      "Name": "example.com.",
      "Qtype": 1,
      "Qclass": 1
    }
  ],
  "Answer": [
    {
      "TTL": 274,
      "data": "104.20.23.154",
      "name": "example.com.",
      "type": 1
    }
  ],
  "RA": true,
  "RD": true,
  "AD": false,
  "CD": false,
  "TC": false
}

授权

Authorization
string
header
必填

在请求头中携带 Authorization: Bearer ${secret},其中 secret 对应配置中的 secret 字段。若未设置 secret 可省略,但强烈建议设置。

查询参数

name
string
必填

要查询的域名。

示例:

"example.com"

type
string

记录类型,如 A、AAAA、TXT 等。

示例:

"A"

响应

200 - application/json

DNS 查询结果。

The response is of type object.